Bug 60102 - fdisk on custom install doesn't see proper drive geometry with Compaq Smart Array 431 card
fdisk on custom install doesn't see proper drive geometry with Compaq Smart A...
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-02-19 21:19 EST by Eric Sisler
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-19 21:19:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Sisler 2002-02-19 21:19:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
During a custom install, fdisk always reports just one cylinder, making
partitiioning impossible.  Disk Druid works ok and produces a functional system,
but I would prefer to use fdisk.  After booting, fdisk reports all kinds of
logical/physical errors with the drive's partition table.  Compaq technical
support was able to reproduce the problem on several test boxes at their site.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Perform a custom install on a Compaq server with a Smart Array 431 hardware
RAID card.
2.Choose fdisk to create the partitions.

Actual Results:  fdisk is unable to partition the disk, regardless of how the
RAID card presents the logical disks.  (Read: the size/type/etc. of the RAID
volume makes no difference.)  fdisk always sees just 1 cylinder.

Expected Results:  Obviously fdisk should see the correct drive geometry,
allowing creation of partitions.

Additional info:

I was able to find two version of fdisk that work.  The rpm's the're part of

util-linux-2.11f-17.i386.rpm from the 7.2 errata pages
util-linux-2.11n-4.i386.rpm in the rawhide directory

Just for the sake of completeness, the version of fdisk that doesn't work comes
as part of util-linux-2.11f-9.i386.rpm.

Unfortunately by the time I can install one of these the install process is over
and my partition tables are hosed.  Any chance a boot and/or updates image
file(s) could be released containing a newer version of fdisk?

Comment 1 Jeremy Katz 2002-02-20 00:26:35 EST
You can always put the fdisk binary on a floppy, go to tty2 of the installer,
mount the floppy and run fdisk from there.  Not ideal, but it works as a
workaround.  Future releases will have the newer fdisk

Note You need to log in before you can comment on or make changes to this bug.